ClosedChannelException Class Reference

Inherits SocketException.

## Public Member Functions

| ClosedChannelException ()
| ClosedChannelException (const ClosedChannelException &src)
ClosedChannelException & | operator= (const ClosedChannelException &)
Public Member Functions inherited from SocketException
| SocketException (const LogString &msg)
| SocketException (log4cxx_status_t status)
| SocketException (const SocketException &)
SocketException & | operator= (const SocketException &)
Public Member Functions inherited from IOException
| IOException ()
| IOException (log4cxx_status_t stat)
| IOException (const LogString &msg)
| IOException (const IOException &src)
IOException & | operator= (const IOException &)
Public Member Functions inherited from Exception
| Exception (const char *msg)
| Exception (const LogString &msg)
| Exception (const Exception &src)
Exception & | operator= (const Exception &src)
const char * | what () const throw ()

## Constructor & Destructor Documentation

ClosedChannelException | ( |  | ) |

ClosedChannelException | ( | const ClosedChannelException & | src | ) |

## Member Function Documentation

ClosedChannelException& operator= | ( | const ClosedChannelException & |  | ) |

The documentation for this class was generated from the following file:

- exception.h